# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
package_name = "seadrive-gui"


def install():
    # Installing the package
    print("Installing: %s" % package_name)

    if isfile("/etc/apt/sources.list.d/seadrive.list"):
        remove_file("/etc/apt/sources.list.d/seadrive.list")

    update_apt()
    install_apt("apt-transport-https")
    install_apt("ca-certificates")
    run("wget https://linux-clients.seafile.com/seafile.asc -O /usr/share/keyrings/seafile-keyring.asc")
    run(
        "bash -c \"echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/seafile-keyring.asc] https://linux-clients.seafile.com/seadrive-deb/$(lsb_release -c -s)/ stable main ' > /etc/apt/sources.list.d/seadrive.list\""
    )
    install_apt(package_name)


def uninstall():
    # Uninstalling the package
    print("Uninstalling %s" % package_name)
    uninstall_apt(package_name)
    uninstall_apt("seadrive-daemon")
